Slackware 12.0 / current : cups (SSA:2008-094-01)

This script is Copyright (C) 2008-2013 Tenable Network Security, Inc.


Synopsis :

The remote Slackware host is missing a security update.

Description :

New cups packages are available for Slackware 12.0, and -current to
fix security issues. The change from CUPS 1.2.x to CUPS 1.3.x was
tested here, but if you're on a completely secured internal network
these issues may be less of a risk than upgrading. If your IPP port is
open to the internet, you'd be advised to upgrade as soon as possible
(or firewall the port at the gateway if you're not in need of printer
jobs coming in from the internet).

See also :

http://www.nessus.org/u?93a345b8

Solution :

Update the affected cups package.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: Slackware Local Security Checks

Nessus Plugin ID: 31740 ()

Bugtraq ID:

CVE ID: CVE-2008-0047
CVE-2008-1373